# golang-github-elithrar-simple-scrypt.spec
# Generated by go2rpm
# The timing / calibration tests are non-deterministic
# https://github.com/elithrar/simple-scrypt/issues/16
%bcond_with check

# https://github.com/elithrar/simple-scrypt
%global goipath         github.com/elithrar/simple-scrypt
Version:                1.3.0

%gometa

%global common_description %{expand:
Simple-scrypt provides a convenience wrapper around Go's existing scrypt
package that makes it easier to securely derive strong keys ("hash user
passwords"). This library allows you to:

 - Generate a scrypt derived key with a crytographically secure salt and sane
default parameters for N, r and p.
 - Upgrade the parameters used to generate keys as hardware improves by storing
them with the derived key (the scrypt spec. doesn't allow for this by default).
 - Provide your own parameters (if you wish to).

The API closely mirrors Go's bcrypt library in an effort to make it easy to
migrate—and because it's an easy to grok API.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        Convenience library for generating, comparing and inspecting password hashes
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/crypto/scrypt)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles



%changelog
* Fri Dec 30 2022 mokraemer <mokraemer> 1.3.0-2.mga9
+ Revision: 1928084
- remove changelog
- import dependancy for restic
- Created package structure for golang-github-elithrar-simple-scrypt.

